/*
repertoire.h
*/


#ifndef REPERTOIRE_H
#define REPERTOIRE_H

#define REPERT_CHAMP_TAILLE 128  /* Taille des champs du répertoire  */

typedef struct Date_ {
  int jour;
  int mois;
  int annee;
}Date;

typedef struct RepertCarte_ {
  char nom[64];       /* Nom de la personne */
  char numero[64];    /* Numero de telephone */
  char adresse[512];  /* Adresse */
  Date anniversaire;  /* Date de naissance */
} RepertCarte;

typedef struct RepertListe_ {
  struct RepertListe_ * precedent; /* Pointeur sur l'lment precedent */
  struct RepertListe_ * suivant;  /* Pointeur sur élément suivant */
  RepertCarte carte;             /* Carte du répertoire  */
} RepertListe;

typedef RepertListe * Repert;  /*  Définition du répertoire  */

extern int repertInit(Repert * repert);

#endif
